#
# spec file for package umtsmon (Version 0.9.51.20081117)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           umtsmon
BuildRequires:  libusb-devel qt3-devel
%if 0%{?suse_version} > 0
# not there on mandriva and fedora...
BuildRequires:  qt3-devel-tools update-desktop-files
%endif
Version:        0.9.51.20090126
Release:        3.1
%define DATE 20090126
Summary:        Control/monitor your UMTS card
License:        GPL v2 or later
Group:          Hardware/Mobile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://sourceforge.net/projects/umtsmon/
AutoReqProv:    on
Source0:        %name-%version.tar.bz2
Source1:        umtsmon-128x128.png
Source2:        umtsmon.desktop
Requires:       ppp
%if ! %{defined fedora_version}
Suggests:       usb_modeswitch ozerocdoff
%endif

%description
A program to control your UMTS (and GPRS/EDGE) card: enter SIM PIN
code, send and receive SMS and control/monitor the network connection.



Authors:
--------
    Klaas van Gend
    and others

%prep
%setup0 -n umtsmon

%build
qmake DEFINES="APPFLAVOUR='\"-%{DATE}\"'"
make 
#lrelease umtsmon.pro

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp umtsmon $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/umtsmon/translations
cp i18n/*.qm $RPM_BUILD_ROOT/usr/share/umtsmon/translations
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{S:1} $RPM_BUILD_ROOT/usr/share/pixmaps/umtsmon.png
%if 0%{?suse_version} > 0
%suse_update_desktop_file -i %name Network Dialup
%else
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{S:2} $RPM_BUILD_ROOT/usr/share/applications/
%endif

%files
%defattr(-, root, root)
/usr/bin/*
%doc README TODO AUTHORS COPYING
/usr/share/umtsmon
/usr/share/applications/*
/usr/share/pixmaps/*

%clean
rm -rf %{buildroot}

%changelog
* Tue Jan 27 2009 seife@suse.de
- update to current CVS
  - some code refactoring
  - updated device list
  - translation updates
  - add the possibility to start umtsmon without a device present
* Mon Dec 15 2008 seife@suse.de
- update to current CVS
  - more USB hardware detection
  - improved HSO support
  - improved serial handling
  - small code reorganization
  - add command line setting to set the profile to connect with
  - better tooltips, UI improvements
  - lower cpu load
  - make CID configurable
* Mon Nov 17 2008 seife@suse.de
- update to current CVS
  - implement autoconnect option
  - small i18n fixes
* Mon Nov 10 2008 seife@suse.de
- update to current CVS
  - updated spanish translation
  - new (partial) indonesian translation
  - new settings menu
  - new language dialog
  - better label for limit dialog (bnc#404197)
  - fix quite some memory leaks
- add "Requires: pppd" and "Suggests: usb_modeswitch" to the
  spec (bnc#440299)
* Mon Sep 29 2008 seife@suse.de
- update to current CVS
  - updated translations
  - reworked localization code
  - fix for mobile phones not needing a PIN
* Mon Sep 15 2008 seife@suse.de
- update to current CVS (version 0.9.50):
  - corrected translations
  - improved hardware support for almost all supported devices
  - report operator names even if only a numeric ID is returned
  - fix some operator wizard bugs
  - rewritten popup code with "never show again" option
  - refined profile dialog
* Fri Jul 25 2008 seife@suse.de
- update to current CVS:
  - polish translation added
  - refactoring of the device detection code - should be cleaner
    and better maintainable now
  - detect Sierra Wireless cards with "switched" ports using "ATI"
  - cleaned up and completed operator wizard
* Fri Jul 18 2008 seife@suse.de
- update to current CVS:
  - italian translation added
  - new operator chooser wizard
  - improved network selection code
* Fri Jun 27 2008 seife@suse.de
- update to current CVS:
  - time counters / limits improved, connect time now displayed
    alternately with the traffic counters
* Thu Jun 26 2008 seife@suse.de
- update to current CVS:
  - more devices supported
  - probing for HSO devices
  - error checking on PIN entry
  - implemented time limits, in addition to volume limits
  - reworked graphics
  - spanish translation
* Wed Jun  4 2008 seife@suse.de
- update to current CVS:
  - refactor the MonthlyTraffic handling
  - refactor the PPP statistics
  - add device IDs for Option HSO devices, no support for those yet
  - improvements for ACM devices(usb modems / mobile phones)
* Tue Apr 29 2008 seife@suse.de
- update to current CVS:
  - support for Sierra Wireless cards, patch by Phil Gorsuch
  - send ATD on the same port where pppd will be started - fixes
    e.g. newer Option dualport cards (GT/GE 0201/0301)
  - small arch and compiler warning fixes
  - some fixes to better support huawei cards
* Mon Mar 10 2008 seife@suse.de
- update to version 0.8:
  - our patches are upstream
  - GUI improvements by Danny Kukawka
  - various other fixes
* Fri Feb 29 2008 seife@suse.de
- update german translation
- fix pppd-verbosity
- add desktop file and application icon
* Mon Feb 25 2008 seife@suse.de
- update to current CVS:
  - pppd-verbosity patch is upstream
  - accelerator key for "connect"
  - fix for Moto RAZR2 quoted replies
- make translations actually work
* Wed Feb 20 2008 seife@suse.de
- change the pppd-verbosity patch to accept "-v 5,0" which is more
  likely of being accepted upstream
* Tue Feb 12 2008 seife@suse.de
- update to 0.7.91 version - which is beta1 of the upcoming new
  release
* Fri Feb  1 2008 seife@suse.de
- update to current CVS - only message string fixes
* Tue Jan 29 2008 seife@suse.de
- install localization files
* Mon Jan 28 2008 seife@suse.de
- update to current CVS
  - language selectable on command line, still needs packaging fix
  - Gerald's UI improvement patches accepted upstream
  - refined network operator dialog
* Thu Jan 24 2008 seife@suse.de
- update to current CVS
  - SMS, month rollover and single serial port fixes included
  - various other small fixes included
- added Gerald's UI improvement patches (still pending upstream)
* Thu Jan 17 2008 seife@suse.de
- Add a fix for broken SMS sending
- Add a fix for daily warning about month rollover
* Wed Jan 16 2008 seife@suse.de
- Add a fix for single-serial-port cards (e.g. XU870)
* Tue Jan 15 2008 seife@suse.de
- update to current CVS
  - fixes for USB connected phones (ttyACM)
  - noCCP profile option to switch off CCP header compression
  - show total traffic per month
  - human readable numbers for traffic accounting
- add an extra switch for selecting pppd verbosity
* Thu Jan 10 2008 seife@suse.de
- update to current CVS, featuring (among others):
  - translations
  - traffic meters for every profile
  - code reorganization
  - many bugfixes
* Fri Dec  7 2007 agruen@suse.de
- Version 0.7 includes the patches we had in this package and a
  few more fixes.
* Mon Sep 17 2007 seife@suse.de
- Fix abort if the SIM interface on Novatel XU870 is still busy
* Sat Sep 15 2007 seife@suse.de
- Add 3 UI fixes (kindly provided by Gerald Pfeifer)
* Mon Sep 10 2007 seife@suse.de
- update to current "0.6.9beta" release:
  - fix various crashes and annoyances (e.g. novell bug #308881)
  - move "Radio Preferences" to its own dialog
  - no longer crash in "Manage Profiles"
- fix a rpmlint warning about BUILD_ROOT usage in %%build
* Tue Aug 28 2007 seife@suse.de
- update to current upstream CVS version (0.6.9)
  - reorganization of the source code
  - various bugfixes (fixes for many non-Option cards)
  - support more cards
* Thu Aug  2 2007 fseidel@suse.de
- fix for bug #290207 (suspend hangs with nozomi driver)
* Wed Jun 20 2007 seife@suse.de
- do not require pccardctl in the binary
* Thu May 31 2007 seife@suse.de
- update to version 0.6
  no real code changes, just restructuring of the GUI files and
  some work on the unit test code
* Thu May 10 2007 seife@suse.de
- update to current CVS (==0.6RC2)
  - support more cards
  - ppp stuff is more robust now
  - various GUI fixes and usability improvements
  - more robust error handling
* Thu Mar 29 2007 seife@suse.de
- update to current CVS
  - various changes in the GUI code
  - new "LCD-Display"-design
  - rework of the internal workflow and classes
  - stricter abstraction of the serial port classes
  - reworked pppd interface classes
* Tue Feb  6 2007 seife@suse.de
- changed version no. to 0.5
* Mon Jan 22 2007 seife@suse.de
- update to current CVS
  - fix pppd termination
  - fix transfer statistics overflow
  - our patches incorporated upstream
* Tue Jan 16 2007 seife@suse.de
- update to current CVS (0.5 RC)
  - GUI restructured
  - ppp support improved
  - lots of smaller fixes
* Wed Nov  1 2006 seife@suse.de
- update to current CVS
  - add PUK support
  - separate the progress dialog code
  - add support for Huawei E612 card
- remove the "received SMS" - NOT YET IMPLEMENTED tab
* Wed Sep 27 2006 seife@suse.de
- update to current CVS which (among others) fixes the detection
  of cards that are not in the first PCMCIA slot and handles
  alternate nozomi drivers gracefully. An assert triggered by
  scanning for networks, but then discarding the result is also
  fixed.
* Wed Aug 30 2006 seife@suse.de
- initial package submission
